use std::{
    sync::atomic::{AtomicBool, Ordering::Relaxed},
    task::Poll,
};

#[inline]
pub fn try_ready(flag: &AtomicBool) -> Poll<()> {
    if flag.swap(false, Relaxed) {
        Poll::Ready(())
    } else {
        Poll::Pending
    }
}
